Package com.pixelmed.dicom

## Class SOPClassDescriptions

- java.lang.Object
- - com.pixelmed.dicom.SOPClassDescriptions

-     public class SOPClassDescriptions
      extends java.lang.Object

  A class of static methods to provide a means of describing SOP Classes with abbreviations and hman-readable descriptions.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getAbbreviationFromUID​(java.lang.String sopClassUID)` |
    `static java.lang.String` | `getDescriptionFromUID​(java.lang.String sopClassUID)` |
    `static java.lang.String` | `getKeywordFromUID​(java.lang.String sopClassUID)` |
    `static java.lang.String` | `getUIDFromKeyword​(java.lang.String keyword)` |
    `static void` | `main​(java.lang.String[] arg)` | Unit test.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAbbreviationFromUID

          public static java.lang.String getAbbreviationFromUID​(java.lang.String sopClassUID)

      Parameters:
        `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
      Returns:
        a short abbreviation describing the SOP Class, or an empty string if none

    - #### getDescriptionFromUID

          public static java.lang.String getDescriptionFromUID​(java.lang.String sopClassUID)

      Parameters:
        `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
      Returns:
        a description of the SOP Class, or an empty string if none

    - #### getKeywordFromUID

          public static java.lang.String getKeywordFromUID​(java.lang.String sopClassUID)

      Parameters:
        `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
      Returns:
        a keyword identifying the SOP Class, or an empty string if none

    - #### getUIDFromKeyword

          public static java.lang.String getUIDFromKeyword​(java.lang.String keyword)

      Parameters:
        `keyword` - keyword for the SOP Class
      Returns:
        a UID identifying the SOP Class, or an empty string if none

    - #### main

          public static void main​(java.lang.String[] arg)

      Unit test.

      Parameters:
        `arg` - ignored